Bug 6849 - typo in libtalloc check (missing `test` results in `xauto` being run)
typo in libtalloc check (missing `test` results in `xauto` being run)
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.2
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 05:54 UTC by Mike Frysinger
Modified: 2009-11-04 07:37 UTC (History)
0 users

See Also:


Attachments
proposed patch (912 bytes, patch)
2009-10-27 10:32 UTC, Karolin Seeger
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Frysinger 2009-10-27 05:54:04 UTC
the source3/configure.in has this:
        [ if x$enable_external_libtalloc = xyes; then
            AC_MSG_ERROR([Unable to find libtalloc])
          else
            enable_external_libtalloc=no
          fi
        ])

looks like someone forgot to add "test" to the start of the if statement, and the expansion should be quoted to avoid unwanted side effects:
        [ if test "x$enable_external_libtalloc" = xyes; then
Comment 1 Björn Jacke 2009-10-27 09:07:23 UTC
Karo, can you fix the missing "test" in 3.4, please? In master there is no "test" missing there.
Comment 2 Karolin Seeger 2009-10-27 10:32:05 UTC
Created attachment 4898 [details]
proposed patch
Comment 3 Guenther Deschner 2009-11-02 06:25:47 UTC
Comment on attachment 4898 [details]
proposed patch

yes, looks fine.
Comment 4 Guenther Deschner 2009-11-02 06:29:29 UTC
Karolin, please add to 3-4-test.
Comment 5 Karolin Seeger 2009-11-04 07:37:37 UTC
Pushed. Closing out bug report.

Thanks!